<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2021
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * Document
 *
 * @author sochoa
 */
class Document extends Node {

    const TYPE = 'okm:document';
    const CONTENT = 'okm:content';
    const CONTENT_TYPE = 'okm:resource';
    const SIZE = 'okm:size';
    const LANGUAGE = 'okm:language';
    const VERSION_COMMENT = 'okm:versionComment';
    const NAME = 'okm:name';
    const TEXT = 'okm:text';
    const TITLE = 'okm:title';
    const DISCRIMINATOR_TYPE = 2;

    private $title = "";
    private $language = "";
    private $mimeType;
    private $checkedOut = false;
    private $signed = false;
    private $convertibleToPdf = false;
    private $cipherName;

    function __construct() {
        
    }

    public function getTitle() {
        return $this->title;
    }

    public function getLanguage() {
        return $this->language;
    }

    public function getMimeType() {
        return $this->mimeType;
    }

    public function getCheckedOut() {
        return $this->checkedOut;
    }

    public function getSigned() {
        return $this->signed;
    }

    public function getConvertibleToPdf() {
        return $this->convertibleToPdf;
    }

    public function getCipherName() {
        return $this->cipherName;
    }

    public function setTitle($title): void {
        $this->title = $title;
    }

    public function setLanguage($language): void {
        $this->language = $language;
    }

    public function setMimeType($mimeType): void {
        $this->mimeType = $mimeType;
    }

    public function setCheckedOut($checkedOut): void {
        $this->checkedOut = $checkedOut;
    }

    public function setSigned($signed): void {
        $this->signed = $signed;
    }

    public function setConvertibleToPdf($convertibleToPdf): void {
        $this->convertibleToPdf = $convertibleToPdf;
    }

    public function setCipherName($cipherName): void {
        $this->cipherName = $cipherName;
    }
}

?>
